/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL0_offset  (Level 0 library routine)                              */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    18 OCT 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure calculates and returns the absolute position inside a         */
/* sequence, given an origin location and offset with respect to that origin */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include "ntl0.h"


/*****************************************************************************/

long int NTL0_offset (long int origin_location, long int offset)
{
 long int absolute;

 if (offset > 0) absolute = origin_location + offset - 1;
 else if (origin_location == 1) absolute = offset;
 else absolute = origin_location + offset;

 return absolute;
}

