/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Copy_StrList  (Level 1 library routine)                        */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    04 SEP 96   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure copies the received linked list of string cells into a newly   */
/* allocated list; returns the pointer to the head of the copied list        */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

strlist_ptr NTL1_Copy_StrList (strlist_ptr original)
{
 strlist_ptr new_head, current, scan;

 if (original == NULL) return NULL;                  /* Nothing to be copied */
 else {

  /* Handle the first string containing record separately, to facilitate the */
  /*   addition of other fractions to the end of the copied list             */

  new_head = (strlist_ptr) NTL0_ckalloc (sizeof (StrList_Struct));

  new_head -> string = NTL0_strsave (original -> string);
  new_head -> next = NULL;

  current = new_head; /* Initialize to new head - guaranteed previous record */

  /* Hand all other string records in the list, in their original order      */

  for (scan = original -> next; scan != NULL; scan = scan -> next) {
   current -> next = (strlist_ptr) NTL0_ckalloc (sizeof (StrList_Struct));

   (current -> next) -> string = NTL0_strsave (scan -> string);
   (current -> next) -> next = scan -> next;

   current = current -> next;
  }
  return new_head;                /* Pointer to the head of the copied  list */
 }
}


