/*****************************************************************************/
/*                                                                           */
/* UNIT: NTL1_Destroy_Blocks  (Level 1 library routine)                      */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    12 JUL 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure releases all memory space occupied by a list of block         */
/* structures (containing data loaded from an alignment file); returns NULL  */
/* as the proper new value for the destroyed list head pointer               */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl1.h"


/*****************************************************************************/

block_ptr NTL1_Destroy_Blocks (block_ptr list)
{
 block_ptr current, scan;

 scan = list; while (scan != NULL) {
  current = scan; scan = scan -> next; NTL1_Destroy_Block (current);
 }
 return NULL;
}

