/*****************************************************************************/
/*                                                                           */
/* UNIT: origin_sequence  (Utility interface level library routine)          */
/*                                                                           */
/* Author: Nikola Stojanovic                                                 */
/*                                                                           */
/* Revision:    17 OCT 94   Version 1.0                                      */
/*                                                                           */
/* Function:                                                                 */
/*                                                                           */
/*   Procedure interfaces user programs with the "ntl" library utilities;    */
/*                                                                           */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include "ntl4.h"



/*****************************************************************************/
/*                                                                           */
/* Definitions section                                                       */
/*                                                                           */
/*****************************************************************************/


/*****************************************************************************/
/* Unit constants                                                            */
/*****************************************************************************/



/*****************************************************************************/
/*                                                                           */
/* Code section                                                              */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/*                                                                           */
/* PROCEDURE: origin_sequence                                                */
/*                                                                           */
/* Central procedure for the unit; returns NULL if, for any reason, sequence */
/*   containing the given origin has not been found, string with the         */
/*   sequence name otherwise                                                 */

char *origin_sequence (char *origin, char **owner, long int *offset)
{
 errind exec_status; char *error_report;

 if ((exec_status =
        NTL3_Origin_Sequence (globin_filename ("Origins"),
                              origin, owner, offset)) == NULL)
  return NULL;
 else {
  error_report = exec_status -> message; exec_status -> message = NULL;
  free (exec_status); return error_report;
 }
}
 
